global: # This is required for ephemeral environments
  runIT: false
  env: pr # This should be a parameter overridden in Argocd
  ownerAccess: true

  services:
    merge-priority-manager:
      ingress:
        tlsDisabled: true  # Disable tls, otherwise ssl verification in the daemon pod would fail
      env:
        MERGE_PRIORITY_MANAGER__POSTGRES__HOST:
          value: postgresql
        MERGE_PRIORITY_MANAGER__POSTGRES__PASSWORD:
          value: secret
        MERGE_PRIORITY_MANAGER__POSTGRES__PORT:
          value: "5432"

ci-pipeline:
  enabled: true

postgresql:
  enabled: true

sqs-sns:
  enabled: true

init-dbs:
  env:
    ENDPOINT_ADDRESS:
      value: postgresql
    MASTER_PASSWORD:
      value: secret
    MASTER_USERNAME:
      value: postgres
    PORT:
      value: "5432"
    DB_NAME:
      value: postgres
    DB_NAMES:
      value: "merge_priority_manager"
